org.apache.xmlbeans.impl.soap

## Interface SOAPHeaderElement

All Superinterfaces:
  Element, Node, SOAPElement

    public interface SOAPHeaderElement
    extends SOAPElement

An object representing the contents in the SOAP header part of the SOAP envelope. The immediate children of a `SOAPHeader` object can be represented only as `SOAPHeaderElement` objects.

A `SOAPHeaderElement` object can have other `SOAPElement` objects as its children.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getActor()` Returns the uri of the actor associated with this `SOAPHeaderElement` object.
`boolean` `getMustUnderstand()` Returns whether the mustUnderstand attribute for this `SOAPHeaderElement` object is turned on.
`void` `setActor(String actorURI)` Sets the actor associated with this `SOAPHeaderElement` object to the specified actor.
`void` `setMustUnderstand(boolean mustUnderstand)` Sets the mustUnderstand attribute for this `SOAPHeaderElement` object to be on or off.

### Methods inherited from interface org.apache.xmlbeans.impl.soap.SOAPElement

`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

### Methods inherited from interface org.apache.xmlbeans.impl.soap.Node

`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### setActor

    void setActor(String actorURI)

Sets the actor associated with this `SOAPHeaderElement` object to the specified actor. The default value of an actor is: `SOAPConstants.URI_SOAP_ACTOR_NEXT`

Parameters:
  `actorURI` - a `String` giving the URI of the actor to set
Throws:
  `IllegalArgumentException` - if there is a problem in setting the actor.
See Also:
  `getActor()`

#### getActor

    String getActor()

Returns the uri of the actor associated with this `SOAPHeaderElement` object.

Returns:
  a `String` giving the URI of the actor
See Also:
  `setActor(java.lang.String)`

#### setMustUnderstand

    void setMustUnderstand(boolean mustUnderstand)

Sets the mustUnderstand attribute for this `SOAPHeaderElement` object to be on or off.

If the mustUnderstand attribute is on, the actor who receives the `SOAPHeaderElement` must process it correctly. This ensures, for example, that if the `SOAPHeaderElement` object modifies the message, that the message is being modified correctly.

Parameters:
  `mustUnderstand` - `true` to set the mustUnderstand attribute on; `false` to turn if off
Throws:
  `IllegalArgumentException` - if there is a problem in setting the actor.
See Also:
  `getMustUnderstand()`

#### getMustUnderstand

    boolean getMustUnderstand()

Returns whether the mustUnderstand attribute for this `SOAPHeaderElement` object is turned on.

Returns:
  `true` if the mustUnderstand attribute of this `SOAPHeaderElement` object is turned on; `false` otherwise